#
# spec file for package poppler (Version 0.12.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           poppler
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  libdrm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms-devel
BuildRequires:  libpng-devel
BuildRequires:  libqt4-devel
BuildRequires:  libxml2-devel
BuildRequires:  qt-devel
BuildRequires:  qt3-devel
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
Version:        0.12.3
Release:        1.1.1
# Actual version of poppler-data:
%define poppler_data_version 0.2.1
# WARNING: After changing versions please call Re or rpmbuild to auto-update spec file:
#%(sh %{_sourcedir}/%{name}_spec-prepare.sh %{_sourcedir} %{name})
%define poppler_soname 5
%define poppler_glib_soname 4
%define poppler_qt_soname 2
%define poppler_qt4_soname 3
Url:            http://poppler.freedesktop.org/
Group:          System/Libraries
License:        GPLv2+
Summary:        PDF Rendering Library
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}_spec-prepare.sh
# PATCH-FIX-UPSTREAM poppler-pdftoabw-overflow.patch bnc537171 fdo23074 vuntz@opensuse.org
Patch4:         poppler-pdftoabw-overflow.patch
# poppler-fofi-buffer-overflow.patch bnc556876  bili@novell.com
Patch5:         poppler-fofi-buffer-overflow.patch
# Comment poppler-CVE-2009-0791-safe-int.patch bnc570183 bili@novell.com
# poppler-CVE-2009-0791-safe-int.patch bnc507102  bili@novell.com
#Patch6:         poppler-CVE-2009-0791-safe-int.patch
# poppler-string-compare.patch bnc556607  bili@novell.com
Patch7:         poppler-string-compare.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler5
License:        GPLv2
Group:          System/Libraries
Summary:        PDF Rendering Library
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler = %{version}
Obsoletes:      poppler <= %{version}
%endif
Recommends:     poppler-data >= %{poppler_data_version}

%description -n libpoppler5
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-glib4
License:        GPLv2+
Group:          System/Libraries
Summary:        PDF Rendering Library - GLib Wrapper
Requires:       libpoppler5 >= %{version}
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-glib = %{version}
Obsoletes:      poppler-glib <= %{version}
%endif

%description -n libpoppler-glib4
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-qt2
License:        GPLv2+
Group:          System/Libraries
Summary:        PDF Rendering Library - Qt3 Wrapper
Requires:       libpoppler5 >= %{version}
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-qt = %{version}
Obsoletes:      poppler-qt <= %{version}
%endif

%description -n libpoppler-qt2
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-qt4-3
License:        GPLv2+
Group:          System/Libraries
Summary:        PDF Rendering Library - Qt4 Wrapper
Requires:       libpoppler5 >= %{version}
# HACK: Prevent overwriting of old package name by soname based one:
%define FOUR 4
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-qt%{FOUR} = %{version}
Obsoletes:      poppler-qt%{FOUR} <= %{version}
%endif

%description -n libpoppler-qt4-3
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package tools
License:        GPLv2
Group:          Productivity/Publishing/PDF
Summary:        PDF Rendering Library Tools
Requires:       libpoppler5 >= %{version}
# last version in openSUSE 11.1/SLE11
Provides:       xpdf-tools = 3.02
Obsoletes:      xpdf-tools <= 3.02
Provides:       pdftools_any

%description tools
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, we
only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that do not fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs on a wide range of X-based platforms.  This
is a strong feature and reasonable design goal.  However, poppler
intends to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system in a standardized and well understood way.  Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-devel
License:        GPLv2
Group:          Development/Libraries/C and C++
Summary:        PDF rendering library
Requires:       libpoppler5 = %{version} cairo-devel libjpeg-devel libstdc++-devel
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel = %{version}
Obsoletes:      poppler-devel <= %{version}
%endif

%description -n libpoppler-devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-glib-devel
License:        GPLv2
Group:          Development/Libraries/C and C++
Summary:        PDF rendering library - GLib Wrapper
Requires:       libpoppler-devel = %{version} libpoppler-glib4 = %{version} cairo-devel glib2-devel gtk2-devel
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel:%{_libdir}/libpoppler-glib.so

%description -n libpoppler-glib-devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-qt3-devel
License:        GPLv2+
Group:          Development/Libraries/C and C++
Summary:        PDF rendering library - Qt3 Wrapper
Requires:       libpoppler-devel = %{version} libpoppler-qt2 = %{version} qt3-devel
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel:%{_libdir}/libpoppler-qt.so

%description -n libpoppler-qt3-devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-qt4-devel
License:        GPLv2+
Group:          Development/Libraries/C and C++
Summary:        PDF rendering library - Qt4 Wrapper
Requires:       libpoppler-devel = %{version} libpoppler-qt4-3 = %{version} libqt4-devel
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel:%{_libdir}/libpoppler-qt4.so

%description -n libpoppler-qt4-devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package -n libpoppler-doc
License:        GPLv2
Group:          System/Libraries
Summary:        Additional Package Documentation
Requires:       libpoppler5 = %{version}
%if %suse_version > 1030
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-doc = %{version}
Obsoletes:      poppler-doc <= %{version}
%endif

%description -n libpoppler-doc
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, only
one application needs to use poppler to break even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%prep
%setup -q
%patch4 -p1
%patch5 -p1
# Comment poppler-CVE-2009-0791-safe-int.patch bnc570183 bili@novell.com
#%patch6 -p1
%patch7 -p1

%build
%configure\
	--enable-xpdf-headers\
	--disable-static\
	--enable-shared\
	--enable-zlib
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n libpoppler5 -p /sbin/ldconfig

%post -n libpoppler-glib4 -p /sbin/ldconfig

%post -n libpoppler-qt2 -p /sbin/ldconfig

%post -n libpoppler-qt4-3 -p /sbin/ldconfig

%postun -n libpoppler5 -p /sbin/ldconfig

%postun -n libpoppler-glib4 -p /sbin/ldconfig

%postun -n libpoppler-qt2 -p /sbin/ldconfig

%postun -n libpoppler-qt4-3 -p /sbin/ldconfig

%files -n libpoppler5
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/libpoppler.so.*

%files -n libpoppler-glib4
%defattr (-, root, root)
%{_libdir}/libpoppler-glib.so.*

%files -n libpoppler-qt2
%defattr (-, root, root)
%{_libdir}/libpoppler-qt.so.*

%files -n libpoppler-qt4-3
%defattr (-, root, root)
%{_libdir}/libpoppler-qt4.so.*

%files tools
%defattr (-, root, root)
%{_bindir}/*
%doc %{_mandir}/man1/*.*

%files -n libpoppler-devel
%defattr (-, root, root)
%{_includedir}/poppler
%exclude %{_includedir}/poppler/qt*
%exclude %{_includedir}/poppler/glib
%{_libdir}/libpoppler.so
%{_libdir}/pkgconfig/poppler.pc
%if %suse_version > 1020
%{_libdir}/pkgconfig/poppler-cairo.pc
%endif
%{_libdir}/pkgconfig/poppler-splash.pc

%files -n libpoppler-glib-devel
%defattr (-, root, root)
%{_includedir}/poppler/glib
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc

%files -n libpoppler-qt3-devel
%defattr (-, root, root)
%{_includedir}/poppler/qt3
%{_libdir}/libpoppler-qt.so
%{_libdir}/pkgconfig/poppler-qt.pc

%files -n libpoppler-qt4-devel
%defattr (-, root, root)
%{_includedir}/poppler/qt4
%{_libdir}/libpoppler-qt4.so
%{_libdir}/pkgconfig/poppler-qt4.pc

%files -n libpoppler-doc
%defattr (-, root, root)
%if %suse_version == 1020
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%endif
%{_datadir}/gtk-doc/html/poppler

%changelog
* Tue Feb  2 2010 bili@novell.com
- Update to version 0.12.3(bnc#507183,swampid#30658):
  + core:
  - Be more lenient with /Decode key on images. fdo#17439
  - Correctly initialize fileName in LinkGoToR. fdo#25221
  - Improve the reconstruction of the XRef for broken files
  - [Cairo backend] Do not crash on malformed files. fdo#24575
  - Accept Fontname if FontName is not present. kde#217013
  - Make PSOutputDev code a bit more resilient
  - Fix writing of null objects. fdo#25465
  - [Cairo backend] Fix crash in some documents. bgo#603934
  - Correctly initialize profileCommands in Gfx constructor
  + build system:
  - Check for openjpeg in the C++ part as it uses bool in the
    header. fdo#25103
* Fri Dec 18 2009 bili@novell.com
- Add poppler-string-compare.patch:
  Fix wrong value when compare string(bnc#556607).
- Add poppler-safe-int.patch:
  Fix multiple integer overflows in "pdftops" filter,
  bnc#507102, CVE-2009-0791.
* Mon Nov 30 2009 bili@novell.com
- Add poppler-fofi-buffer-overflow.patch:
  Fix possible buffer overflow in fofi/FoFiType1.cc(bnc#556876).
* Tue Oct 27 2009 bili@novell.com
- Help Vincent submit these patches.
- Add poppler-CVE-2009-3607.patch: fix an integer overflow,
  bnc#546393, swampid#27127.
- Add poppler-CVE-2009-3608.patch: fix an integer overflow,
  bnc#543090, swampid#27127.
- Add poppler-pdftoabw-overflow.patch to fix string overflows in
  pdftoabw, bnc#537171, swampid#27127.
* Thu Oct  1 2009 wstephenson@suse.de
- Add patch to disable autohinting in the Splash backend, except
  when the bytecode interpreter is enabled, for consistency with
  other backends and better results
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.12.0:
  + core:
  - Fix printf format security warnings
  - Improve rendering of radial shadings. fdo#20238
  - Better fallback when there's a font type mismatch. fdo#17252
  - Do not crash on attachments without data stream. fdo#10386
  - Fix infinite loop in JBIG2Decoder. fdo#23025
  + build system:
  - Minimizes pkg-config dependencies for Qt frontends
  - Add automake 1.11 support
  - Use the newest automake found and not the oldest
  - Support AM_SILENT_RULES when using automake 1.11
  + utils:
  - Add common options to pdftoabw
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 0.11.3:
  + core:
  - Optimization in the Cairo renderer for some fonts
  - Do not apply masks when fill color space mode is csPattern in
    the Cairo renderer. fdo#22216
  - Check for overflow when parsing integers. fdo#23078
  - Do not save the font file twice for FreeType fonts in the
    Cairo renderer. fdo#20491
  - Use current fill_opacity when drawing images in the Cairo renderer
  - Fix alpha rendering in some files in the Splash renderer.
    fdo#22143, fdo#22152
  - Implement tiling patterns in the Cairo renderer
  - When converting a cm matrix to PS write 4 significant digits
    for numbers < 1 not 4 decimals. fdo#23332
  - Fix changing of locale, now poppler no longer changes LC_NUMERIC to "C"
  - Return PDF version as two integers instead of as a double
  + Qt4:
  - Addition of the Color Management API
  - Small fix to documentation
  - Fix backwards text search
  + utils:
  - Add the -png flag to pdftoppm to output to PNG
* Mon Aug  3 2009 vuntz@novell.com
- Update to version 0.11.2:
  + core:
  - Make DecryptStream return sane values for getPos(). fdo#19706
  - Fix bug when printing pdf with multiple page sizes in duplex
    mode
  - Initilize AnnotColot properly when the Array is not correct
  - Fix crash on some files with forms. fdo#22485
  - Fix crash in files with invalid embedded files. fdo#22551
  - Improve FileSpec attribute parsing
  - Cairo output device improvements. fdo#10942, fdo#18017,
    fdo#14160
  - Implement blend modes in cairo backend
  - Handle fontType1COT fonts in CairoFontEngine
  - Fix generation of PS for some files. fdo#18908
  - Don't use byte_lookup table when color space doesn't support
    getLine methods. fdo#11027
  - Fix rendering of PDF files with malformed patterns. fdo#22835
  - Add the possibility of disabling font substitution in
    pdftops. fdo#23030
  - Fix some radio buttons not being detected as such
  + glib:
  - Improvements to the demo
  + Qt4:
  - Improvements to the demo
  + build system:
  - Use gtkbuilder rather than libglade for some tests
  + utils:
  - Fix bug with noCrop parameter in pdftops
* Tue Jul 28 2009 coolo@novell.com
- disable build of gtk-doc subpackage, the auto* macros are broken
  (may be fixed in next beta)
* Tue Jul 28 2009 coolo@novell.com
- update to version 0.11.1:
  core:
  * Support colorizing text in pattern colorspace. Bug #19670 and #19994
  * Add the possibility of forcing no hinting of fonts in the Splash backend
  * Support multiple page sizes when converting to PS. Bug #19777
  * Also tokens with leading 00 when parsing the char to unicode map. Bug #22025
  * Improvements of rendering speed in documents using PS transformations a lot. Bug #21562
  * More work on Annotations support
  * Use Interpolate flag to decide whether applying image interpolation during rendering. Bug #9860
  * Handle Streams in CMap definitions. Bug #22334
  * Fix pdftops crash on file from KDE bug #174899
  * Fix PS generation in some files. Bug #20420
  * Do not create the GfxColorTransform if the lcms could not be created. Bug #20108
  * Give an error when using level1sep in pdftops without having CMYK support. Bug #22026
  * Kill support for specifying extension in openTmpFile. Bug #21713
  glib:
  * Add poppler_annot_markup_has_popup()
  * Hyphenate UTF-8 and UTF-16BE. Bug #21953
  * Use g_strerror instead of strerror. Bug #22095
  * Fix a crash when a destination points to an invalid page
  * Improvements to the demo
  Qt4:
  * Add LinkDestination::destinationName()
  * Do not try to resolve named destinations for GoTo links pointing to external documents
  * Add Page::thumbnail()
* Thu May 21 2009 pgajdos@suse.cz
- added GlobalParams::forceNoFTAutoHinting()
  - no-hinting.patch
  + force-no-hinting.patch
- this patch was upstreamed and should appear in next release
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.11.0:
  + core:
  - Add initial support for color management
  - Remove case-insensitive matching of filenames in PDFDoc
    constructor
  - Fix extraction of some ActualText content
  - More work on Annotations support
  - Improve font rendering in Cairo output device
  - Fix bug in cairo backend with nested masks
  - Fix cairo luminosity smask rendering
  - Add optionally text support to Cairo output device
  - Add the possibility of setting the datadir on runtime
  - Return an error code instead of a boolean when saving
  - Make the font scanner more versatile
  - Small opimization in documents that use PostScriptFunction
    transforms
  - Minor optimization to Stream handling
  - Fix some compile warnings
  + glib:
  - Optional content support
  - More work on Annotations support
  - Improvements to the demo
  - Documentation improvements
  - Fix build when compiling with GTK_DISABLE_SINGLE_INCLUDES
  + Qt4:
  - Support URI actions for Table Of Contents items
  - Documentation improvements
  - Improvements to the demo
  - Add a FontIterator for iterating through the fonts of the
    document
  + utils:
  - Allow the use of cropbox in pdftoppm
  - Make pdftohtml output png images when the image stream is not
    a jpeg
  - Make pdftotext accept cropping options like pdftoppm
  - Support rendering non-square pixels in pdftoppm
  + build system:
  - Require Cairo 1.8.4 for the Cairo output device
  - Require CMake 2.6 when using the CMake build system
  - Optionally require libpng for pdftohtml
  - Optionally require libcms for color management
- Add liblcms-devel and libpng-devel BuildRequires.
- Rename libpoppler4 to libpoppler5.
* Fri Apr 17 2009 vuntz@novell.com
- Update to version 0.10.6:
  + core:
  - Fix problems that happen when parsing broken JBIG2 files.
    CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180,
    CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187,
    CVE-2009-1188
  - Fix parsing of incorrect border arrays. fdo#19761
  - Fix clip test for fonts. fdo#20950
  - Fix getGlyphAdvance to behave correctly on font size changes.
    fdo#20769
  - Misc build fixes
  + build system:
  - Fix the Qt4 version we need
* Mon Mar 30 2009 pgajdos@suse.cz
- poppler tools now provides and obsoletes xpdf-tools
* Tue Mar 24 2009 pgajdos@suse.cz
- disable hinting -- patch moved from xpdf splash copy to
  poppler's splash, reason:
    xpdf is going to use splash from poppler instead of own and
    unmaintained copy of splash. Without it, the xpdf rendering
    of pdf is very poor, when pdf font is small (e. g. document
    was zoomed out).
  * no-hinting.patch
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 0.10.5:
  + core:
  - Read the UF entry if present and prefer it over F in Filespec
    dictionary
  - Fix typo that was making CairoOutputDev crash on some files.
    fdo#17337
  - Make JBIG2Stream more robust to corrupt input data
  - Do not blindly follow loops parsing OutlineItem. fdo#18364
  - Set up the error manager before calling
    jpeg_create_decompress. fdo#20484
  - Check there is an optional content config before using it.
    fdo#20587
  - Fix rendering of some PDF with OpenType fonts. fdo#20605
  + build system:
  - Yet more support for build on windows
  - Use AC_CHECK_HEADER to find headers. fdo#20538
  - Check for pkgconfig before using it
  - General autotools improvements
* Wed Feb 25 2009 vuntz@novell.com
- Remove autoreconf & libtool workaround: we have no reason to call
  autoreconf.
- Remove -fno-strict-aliasing from CXXFLAGS: it's not needed for
  the build.
- Remove -fstack-protector: it's a default flag now.
- Remove QTINC and QTLIB definition: it's not needed for the build.
* Mon Feb 23 2009 dmueller@suse.de
- use the distro provided libtool
* Wed Feb 11 2009 vuntz@novell.com
- Update to version 0.10.4:
  + core:
  - Fix a memory leak when asking for a document-level JS
  - Do not crash in some PDF we do not parse correctly.
    (fdo#19702)
  - Fix crash on unexepcted form Opt value. (fdo#19790)
  + utils:
  - Fix pdfimages to extract i color components per pixel jpeg
    images. (fdo#19789)
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.3:
  + core:
  - Fix a crash on documents with malformed outline. fdo#19024
  - Fix leak on AnnotScreen destructor. fdo#19095
  - Fix wrong PS generation when a large image is in Patterns.
    fdo#18908
  - Remove BaseFile.h it was never used. fdo#19298
  - Improve document saving
  - Fix PS generation of PDF with malformed font Length2
    definition
  - Fix a leak while parsing annotations
  - Fix rendering of some checkboxes
  + Qt4:
  - Fix positioning of Form rects on PDF with cropbox
  - Fix positioning of Annotation rects on PDF with cropbox.
    fdo#18558.
  - Small documentation improvements
  - Make Document::fonts() work when called more than once.
    fdo#19405
  + build system:
  - CMake: look harder for openjpeg
  - CMake: update the poppler core headers installation
  - Autotools: do not install Function.cc as it's not a header
  + Qt:
  - Fix deserialization of links right coordinate
- Changes from version 0.10.2:
  + core:
  - Fix a crash when selecting text in word mode
  - Fix a crash in some malformed documents (second argument of
    opMarkPoint is not a dictionary)
  - Ensure cairo font matrix is invertable. Fixes fdo#18254 and
    fdo#18429
  - Fix a memory leak (fdo#18924)
  + Qt4:
  - Fix deserization of links right coordinate
  + misc:
  - Fix build on Solaris 10 + Sun Studio 12
  - Compile with -pedantic
* Mon Nov 24 2008 sbrabec@suse.cz
- Updated to version 0.10.1:
  * Improvements in Optional Content support
  * Small fixes in ActualText and Form support
  * Fixed memory leaks and crashes
  * Invalid rendering fixes
  * Do not try to save documents that have Encryption
  * Fix rendering regression on some fonts
  * Documentation improvements
  * Improve memory usage of the cairo renderer
  * Initial JavaScript support
  * Added a JPEG2000 decoder
  * Emulate Adobe Reader behaviour on documents with duplicate keys
    in Dictionaries
  * Annotation improvements
  * Add the possibility of extracting embedded fonts
  * Added -listenc to pdfinfo and pdftotext
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.8.7:
  + Call error() when font loading fails
  + Be less strict parsing TTF tables (bfo#16940)
  + Fix crash due to uninitialized variable
  + Fix regression in Form rendering
  + Fix memory leak in the cairo backend
  + Qt 4 frontend:
  * Make the paper color setting working as it should
  * Make sure to use the correct page width/height for form
    widgets coordinates.
* Thu Aug 14 2008 sbrabec@suse.cz
- Updated to version 0.8.5:
  * Use a single global FT_Library in CairoOutputDev.
  * Do not limit CharCodeToUnicodeString to 8 characters
  * crash, bug and leak fixes
  * pdftohtml improvements
* Thu Jul 31 2008 dmueller@suse.de
- don't do poppler-devel rename for older distros
* Wed Jul  2 2008 maw@suse.de
- Add poppler-pagewidgets-null.patch (bnc#404955 and
  CVE-2008-2950).
* Wed Jun  4 2008 sbrabec@suse.cz
- Updated to version 0.8.2:
  * Add missing return in Object.h (fixes regression in 0.8.1)
- Backported annotation crash fixes from upstream (bnc#396634).
* Mon May 19 2008 maw@suse.de
- Provide pdftools_any in the -tools subpackage (bnc#378434).
* Mon May 12 2008 sbrabec@suse.cz
- Check for optional content before using it (bnc#389090,
  fdo#15899).
* Tue Apr 29 2008 sbrabec@suse.cz
- Updated to version 0.8.1:
  * Do not call FT_Done_Face on a live cairo_font_face_t as it
    might cause crashes
  * Do not take into account Colorspace resource subdictionary for
    image XObjects
  * Downsample 16 bit per component images to 8 bit per component
    so they render
  * Link to pthread when the system needs it
* Sat Apr 19 2008 schwab@suse.de
- Work around broken qt check.
* Fri Apr 11 2008 dmueller@suse.de
- remove obsoletes for older distros - it is just asking
  for trouble for buildservice users
* Thu Apr  3 2008 sbrabec@suse.cz
- Updated to version 0.8.0:
  * Public api changes
  * Many bug fixes
  * Better error handling
  * Check the document stream is seekable when opening it
  * Improve font matching not forcing default values onto
    Fontconfig
  * Add preliminary annotations support in the glib frontend
  * Initial Movie support in the core
  * Make GDK dependency optional in glib bindings
  * Really distribute CMake files as optional build tool
  * Initial Optional Content support in core and in the Qt4
    frontend
  * Saving support
  * Partial annotation support
  * Forms improvements
  * Add support for ActualText entries
  * Display characters outside of unicode BMP with TT font
  * CJK rendering fixes
  * Implement Adobe Glyph Naming convention for fonts
  * CMake as optional build tool
  * Better font scaling for non embedded fonts
  * Preserve PDF page labels when we output as postscript
* Thu Jan 31 2008 maw@suse.de
- Update to version 0.6.4:
  Qt4 frontend:
  * Fix crash on links that point to a non existant page
  * Make Document::renderHints return the correct render hints
  * Fix infinite loop when parsing LineAnnotation
  core:
  * Fix crash in the Splash renderer when T3 fonts are badly defined
  * Draw underlined Links correctly
  utils:
  * Fix two use after free bugs in HtmlOutputDev.cc
  build system:
  * Fix build on mingw32
  tests:
  * Distribute the glade file of pdf-inspector.
* Fri Jan 25 2008 maw@suse.de
- Update to version 0.6.3:
  + core:
  * Fix CVE-2007-4352, CVE-2007-5392 and CVE-2007-5393
  * Fix a crash on documents with wrong CCITTFaxStream
  * Fix a crash in the Cairo renderer with invalid embedded fonts
  * Fix a crash with invalid TrueType fonts
  * Check if font is inside the clip area before rendering
    it to a temporary bitmap in the Splash renderer. Fixes crashes
    on incorrect documents
  * Do not use exit(1) on DCTStream errors
  * Detect form fields at any depth level
  * Do not generate appearance stream for radio buttons that are
    not active
  * mingw fixes
  * Fix crash in extra debug code
  + glib frontend:
  * Make sure passwords are passed correctly to poppler core
  + Qt frontend:
  * Improved documentation
  * Fix crash on documents that specify an empty date
  + Misc build improvements
- Remove xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff, all of which have been upstreamed.
* Fri Jan 25 2008 stbinner@suse.de
- fix build on 10.2
* Mon Nov  5 2007 maw@suse.de
- Add xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff (#335637, CVE-2007-4352,
  CVE-2007-5392, and CVE-2007-5393).
* Wed Oct 31 2007 sbrabec@suse.cz
- Provide and obsolete poppler-doc (#338021).
* Tue Oct 23 2007 sbrabec@suse.cz
- Use split-provides. Obsoleting something another package provides
  creates a conflict between them.
* Tue Oct 23 2007 jpr@suse.de
- Updated to version 0.6.1:
  * Fix printing with different x and y scale
  * Fix crash when Form Fields array contains references to non
  existent objects
  * Fix crash in CairoOutputDev::drawMaskedImage()
  * Fix embedded file description not working on some cases
  * Fix printing issue with qt4
  * Avoid double free with qt4
  * Fix memory leak when dealing with embedded files in qt4
  * Fix build with --disable-cairo-output for glib
  * Do not return unknown field type for signature form fields for
  glib
  * Support automake-1.10
  * More compatible sh code in qt.m4
  * Fix build on Sun Studio compiler
- For libpoppler-qt3-devel, libpoppler-qt4-devel and
  libpoppler-glib-devel require libpoppler-devel not poppler-devel since
  for obsoletion reasons that is provided by those packages (#335567)
-Add gnome-common to the build requires to remove configure errors
* Thu Oct 11 2007 sbrabec@suse.cz
- Use less strict dependencies for shared libraries.
- poppler devel package names prepended by "lib".
- poppler-qt-devel renamed to libpoppler-qt3-devel
- Fixed poppler_spec-prepare.sh to not alter %%changes.
* Mon Oct  8 2007 sbrabec@suse.cz
- Updated to version 0.6:
  * CairoOutputDev fixes
  * Allow pdftoppm to read/write from stdin/stdout
  * API work on Qt4 frontend
  * Fix pdfimages produces inverted image for black & white image
  * Fix error on the NFKC text matching routine
  * Add support for word and line selections
  * Do not enforce %%%%EOF at the end of file
  * Pad zeroes instead of aborting when rendering 1-bit images
    and the stream is too short
  * Update glib bindings documentation
  * Merge xpdf 3.02 changes
  * Qt4 frontend is not marked anymore as unstable
  * Support for Sound objects
  * Support for Opening/Closing page actions
  * Support for page duration
  * Improve PS Tokenizer performance thanks
  * Various speed ups
  * Beginning of Interactive Form support
  * xpdfrc is no longer used for anything
  * Add AbiWord output device and pdftoabw program
  * Fix security issue MOAB-06-01-2007
  * Lots of bugs fixed
- Rename packages according to shared library naming policy.
- Make devel packages binding specific to deliver correct
  dependencies (#249436).
* Sat Mar 10 2007 dmueller@suse.de
- remove now broken .la files from devel package
  to fix build of all depending packages
* Mon Mar  5 2007 sbrabec@suse.cz
- Fixed devel dependencies (#249436).
- Removed some devel dependencies to force less to install.
* Mon Feb  5 2007 werner@suse.de
- Simplify usage of class UGooString
* Fri Jan 19 2007 maw@suse.de
- Add poppler-PageTree-depth-CVE-2007-0104.patch, fixing an
  infinite loop in page tree (#233133 and CVE-2007-0104).
* Mon Jan 15 2007 dmueller@suse.de
- don't build static libs
* Fri Jan 12 2007 dmueller@suse.de
- fix pedantic warnings in qt4 headers
* Tue Jan  2 2007 sbrabec@suse.cz
- Fixed qt detection (#229896).
- Fixed dependencies.
- Reverted poppler-qt3 back to poppler-qt (#229896).
* Fri Dec 29 2006 james@usr-local-bin.org
- New subpackage: poppler-qt4
- Rename poppler-qt to be poppler-qt3
* Sat Dec 23 2006 james@usr-local-bin.org
- Add wildcard to use QT3 and QT4 bindings
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
- Splitted poppler-doc from poppler.
* Thu Oct 26 2006 jhargadon@suse.de
- added --sysconfdir=/etc option to ./configure in the specfile
  as another part of the fix for bug #201739
* Wed Oct  4 2006 jhargadon@suse.de
- moved man pages to the poppler-tools subpackage [#201739]
* Wed Sep 27 2006 jhargadon@suse.de
- update to version 0.5.4
- Automatically read in CJK encoding files if they're installed
- Speed ups
- Patch from Dom Lachowicz to let the utils take input on stdin
- many bug fixes
* Mon Sep  4 2006 sbrabec@suse.cz
- Define conflict poppler-tools x xpdf-tools (#201739#c4).
* Thu Aug 31 2006 sbrabec@suse.cz
- Created poppler-tools providing xpdf-tools (#201739).
- Enabled parallel build.
* Fri Jul  7 2006 aj@suse.de
- Add back missing headers.
* Thu Jul  6 2006 gekker@suse.de
- Update to version 0.5.3
- Remove upstreamed patches
* Tue Jun 13 2006 gekker@suse.de
- Fix evince crasher when selecting text (#152780)
* Thu Mar 23 2006 sbrabec@suse.cz
- Display CJK with cairo correctly (Mandriva patch, #160230).
- Fixed devel dependencies.
* Tue Feb  7 2006 sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 nadvornik@suse.cz
- updated to 0.4.4
- security patches merged upstream
* Mon Jan 16 2006 meissner@suse.de
- added -fno-strict-aliasing.
* Mon Jan 16 2006 meissner@suse.de
- use -fstack-protector.
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Thu Dec 15 2005 sbrabec@suse.cz
- Fixed more xpdf overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec  7 2005 sbrabec@suse.cz
- Xpdf heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Mon Oct 24 2005 stbinner@suse.de
- remove remaining extra qualifications
* Tue Oct 18 2005 dmueller@suse.de
- fix extra qualifications in installed headers
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.4.2
- Fixes to work with new cairo version
- Required by evince update for GNOME 2.12
* Thu Aug 18 2005 gekker@suse.de
- Update to version 0.4.0
- Remove uptreamed patchs
* Thu Jul 21 2005 gekker@suse.de
- Update to version 0.3.3
* Mon Jun 27 2005 meissner@suse.de
- supply format attributes.
* Wed Jun  1 2005 sbrabec@suse.cz
-  Fixed pkgconfig file.
* Tue May 24 2005 sbrabec@suse.cz
- Updated to version 0.3.2.
* Mon May 23 2005 sbrabec@suse.cz
- Split poppler-glib to subpackage.
* Sun May 22 2005 aj@suse.de
- Fix build with GCC4.
* Mon May  9 2005 sbrabec@suse.cz
- New SuSE package, version 0.3.1.
