#!/bin/bash

# Autobuild doesn't support package names with macros. This script will update versions in package names.
ORIG_SPEC=$2

for PKGNAME in poppler poppler-glib poppler-qt poppler-qt4 ; do
    # Packages with name ending by number needs separator
    if test x`echo $PKGNAME | sed "s/.*[0-9]$//"` = x ; then
	SEPARATOR=-
    else
	SEPARATOR=
    fi
    sed -i "
	1,/^%changelog/ {
	    # Copy ${PKGNAME//-/_}_soname to hold space
	    /^%define ${PKGNAME//-/_}_soname / {
		h;
		s/^%define ${PKGNAME//-/_}_soname //;
		x;
	    };

	    # Update ${PKGNAME}_soname everywhere
	    /$PKGNAME$SEPARATOR[0-9][0-9]*\([[:space:]].*\|\)\$/ {
		G;
		s/$PKGNAME$SEPARATOR[0-9][0-9]*\([[:space:]].*\|\)\n\(.*\)/$PKGNAME$SEPARATOR\2\1/;
	    };
	};" $1/$ORIG_SPEC.spec
done
